REM INFO: SimpleAlign.csc v1.5 (PP11)
REM Copyright  James Aswell, 2000-2002
REM 
REM DESCRIPTION:
REM SimpleAlign is a simple interface for aligning objects.


HorizontalV = 0
VerticalV = 0
CenterV = FALSE
GridV = FALSE
ActiveV = FALSE
SelToDocV = FALSE
DistrBoundsV = TRUE
HorizAlignV = TRUE
VertAlignV = TRUE

BEGIN DIALOG SALIGN 70, 60, "SimpleAlign"
	PUSHBUTTON  26, 24, 15, 14, "X"	 '3
	PUSHBUTTON  26, 6, 15, 14, "|"	 '4
	PUSHBUTTON  46, 6, 15, 14, "/"	 '5
	PUSHBUTTON  46, 24, 15, 14, "---"	 '6
	PUSHBUTTON  46, 42, 15, 14, "\"	 '7
	PUSHBUTTON  26, 42, 15, 14, "|"	 '8
	PUSHBUTTON  7, 42, 15, 14, "/"	 '9
	PUSHBUTTON  6, 24, 15, 14, "---"	 '10
	PUSHBUTTON  6, 6, 15, 14, "\"		 '11
END DIALOG

WITHOBJECT "CorelPhotoPaint.Automation.11"

ON ERROR GOTO ERRORHANDLER

	IF .GetDocumentCount() = 0 THEN STOP

	ret = DIALOG(SALIGN)

	IF ret = 3 THEN CenterV = TRUE

	SELECT CASE ret
		CASE 3, 4, 8
			HorizontalV = 3
		CASE 5, 6, 7
			HorizontalV = 2
		CASE 9, 10, 11
			HorizontalV = 1
	END SELECT
	
	SELECT CASE ret
		CASE 3, 6, 10
			VerticalV = 3
		CASE 4, 5, 11
			VerticalV = 1
		CASE 7, 8, 9
			VerticalV = 2
	END SELECT

	.ObjectAlign HorizontalV, VerticalV, CenterV, GridV, ActiveV, SelToDocV, TRUE, TRUE, TRUE 
	.EndObject

END WITHOBJECT

STOP

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		STOP
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT
